# Lock_Adapter_T.h File Reference

`#include "ace/Lock.h"`
`#include "ace/Lock_Adapter_T.inl"`
`#include "ace/Lock_Adapter_T.cpp"`

Include dependency graph for Lock_Adapter_T.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Lock_Adapter< ACE_LOCKING_MECHANISM >
| This is an adapter that allows applications to transparently combine the <ace_lock> abstract base class (which contains pure virtual methods) with any of the other concrete ACE synchronization classes (e.g., <ace_mutex>, <ace_semaphore>, <ace_rw_mutex>, etc.). More...

## Detailed Description

Id
  Lock_Adapter_T.h,v 4.2 2005/10/28 16:14:53 ossama Exp

Moved from Synch.h.

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>